Differences between revisions 11 and 12
Revision 11 as of 2008-09-16 20:16:19
Size: 4713
Editor: FranklinPiat
Comment: fix link.
Revision 12 as of 2008-09-30 06:34:51
Size: 5143
Editor: FranklinPiat
Comment: SSL warning
Deletions are marked like this. Additions are marked like this.
Line 15: Line 15:
In DebianEtch and DebianSid the name of the package is [http://packages.debian.org/iceweasel iceweasel] (a transitional [http://packages.debian.org/firefox firefox] package exists). ##In DebianEtch and DebianSid the name of the package is [http://packages.debian.org/iceweasel iceweasel] (a transitional [http://packages.debian.org/firefox firefox] package exists).
Line 71: Line 71:

== SSL / Secure Connection warning ==
The message :
 {{{
  Secure Connection Failed
  XXXX uses an invalid security certificate.
  The certificate is not trusted because it is self signed.
  The certificate is only valid for 00:16:b6:82:73:60
  (Error code: sec_error_untrusted_issuer)
}}}
Can be disabled. see :
http://changetheworldwithyourpassion.blogspot.com/2008/07/turn-off-secure-connection-failed-in.html

?TableOfContents(3)

Iceweasel is a fork [from Firefox] with the following purpose :

  1. backporting of security fixes to declared [:DebianStable:Debian stable] version.

  2. no inclusion of trademarked Mozilla artwork (because of #1 above)

Beyond that, they will be basically identical. (quoting Roberto C. Sanchez post in [http://lists.debian.org/debian-devel/2006/10/msg00665.html debian-devel] mailing list)

Also note that iceweasel is NOT Iceweasel from [http://www.gnu.org/software/gnuzilla/].

Invoke it using one of this ways:

 /usr/bin/iceweasel

 /usr/lib/iceweasel/iceweasel

or simply

 iceweasel

For ["Gnome"] launcher, use

 /usr/lib/iceweasel/iceweasel "%s"

to open a concrete page.

How to install Iceweasel (Firefox)

To install Iceweasel, simply do:

aptitude install iceweasel   #(it provides mozilla-firefox)

GNOME users might also want to install GNOME support:

aptitude install iceweasel-gnome-support

Native language versions are also available.

Plugin

The plugin directory is

  •  /usr/lib/iceweasel/plugins

for more info on iceweasel plugins, refer to the plugins section of the ["Mozilla"] page.

It has Javascript enabled by default.

Useragent string

IceWeasel's useragent string (on DebianTesting, at the time of writing... ) is : Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080129 Iceweasel/2.0.0.12 (Debian-2.0.0.12-1)

Some application are checking the browser's useragent string, which prevent you from accessing the site. You can use the [https://addons.mozilla.org/en-US/firefox/addon/59 User Agent Switcher] plugin, then download a UA profile :

[http://www.geticeweasel.org/useragent/ geticeweasel.org] has more information on Iceweasel useragent string.

SSL / Secure Connection warning

The message :

  •   Secure Connection Failed
      XXXX uses an invalid security certificate.
      The certificate is not trusted because it is self signed.
      The certificate is only valid for 00:16:b6:82:73:60
      (Error code: sec_error_untrusted_issuer)

Can be disabled. see : http://changetheworldwithyourpassion.blogspot.com/2008/07/turn-off-secure-connection-failed-in.html

Troubleshooting

  1. My iceweasel is consistently crashing on a website
  2. First run iceweasel without loading any extensions and see if the problem persists. This can be done by using the -safe-mode option

    iceweasel -safe-mode
  • If the problem goes away, then it means that one of the installed extensions is the root cause of the problem. If not then read on!
  • Create a new user and try to reproduce the problem on the new user's account.
  • If there is no problem with iceweasel on new user's account, chances are that your ~/.mozilla/iceweasel/ directory is corrupt.
  • In order to see if the ~/.mozilla/iceweasel is infact corrupt or not, move it to some other directory and start iceweasel again

    mv ~/.mozilla/iceweasel ~/old_iceweasel
    iceweasel &
  • If the problem goes away, well and good. Otherwise you can ask for help on debian-user mailing list by providing all the relevant information like "the way to reproduce the crash", "the version of iceweasel you are using", and "the distribution you are using" etc., Finally, if you are confident that it is a bug in the iceweasel package please consider filing a bug against iceweasel package.

Unsuported Browser Error

  • In order to browse websites like mlsni.net which allows firefox but not iceweasel to browse their home listing, do the following:
  • As a workaround until they fix this web programming error you can do the following in my Iceweasel:

Useragent Change in Iceweasel

  • In iceweasel (firefox) type in the following in a address bar:

about:config
  • then go to

general.useragent.extra.firefox
  • change the value from:

Iceweasel/2.0.0.12

to

Iceweasel not firefox/2.0.0.12
  • click ok

Now you can browse mlsni.net with no problems. Everything works just like it would in firefox.

Restart Firefox.
Done.
  • Don't forget to notify mlsni about your issue.

See also